Subject: issues with RFC 4229

From: Alfred Hönes <[email-masked]>
Date: Wed, 18 Jan 2006 18:14:37 +0100 (MEZ)

Hello,

studying the recently published RFC 4229 (HTTP Header Field
Registrations) authored by you, I found a couple of apparent
inconsistencies in the 'Status' and 'Specification Document'
entries for a few Header Fields.

Below, I make use of the reference tags from that RFC.

(1)

RFC 2109 [5] has been obsoleted by RFC 2965 [15], and the latter
apparently contains the current specification for the Set-Cookie
(and the Set-Cookie2) Header Field.

Nevertheless, the registration for 'Set-Cookie' in Subsection
2.1.96 of RFC 4229 (on page 36) refers to RFC 2109 [5] as the
normative Specification document.

I suspect that this particular Registration should be updated
immediately to point to RFC 2965 [15] .

(2)

RFC 2068 [4] has been obsoleted by RFC 2616 [11], and the latter
purposely has omitted a few elements of HTTP from the former
specification because of "detected problems" and/or "lack of
implementation" -- cf. Section 19.6 of RFC 2616.
Thus, there is no more current specification for these elements.
According to my understanding that means that these elements
effectively have been deprecated by RFC 2616.

Among those (deprecated) elements of HTTP 1.1 are the HTTP Header
Fields:
         -  Content-Base
         -  Content-Version
         -  Derived-From
         -  Keep-Alive
         -  Link
         -  Public
         -  URI

As expected, the Registrations for these HTTP Header Fields, as
presented in RFC 4229, consistently all refer to RFC 2068 [4] as
the (obsolete) 'Specification document' -- but, very surprisingly,
the registered 'Status' entries for these Header Fields all contain:
"standard" instead of "deprecated".

According to my understanding of IETF procedures, a feature or
protocol element must not be named "standard" if its specification
has been officially obsoleted / deprecated by a Standards Track RFC.

Hence, IMHO the IANA Registrations for the above mentioned HTTP
Header Fields (Subsections 2.1.{21,33,41,59,62,89,108} of RFC 4229
should be immediately corrected to contain 'Status: deprecated".

(Note: A status of "deprecated" still allows standards conformant
implementations to implement any such feature or protocol element
for the sake of backwards compatibility!)

I propose that you verify these two issues and take care of the
required updates to the IANA Registrations.  The posting of an
RFC Errata Note seems to be inappropriate in this particular case.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+